error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 09, 2018 03:52PM

installing wamp 3, I got the msvcr120.dll not found error.
So I'm installing the microsoft c++ packages from aviatechno as described in the main install post:
[forum.wampserver.com]

but when installing vcredust_2008_x86.exe I get this error:
install.res.????.dll

screenshot:
[i.postimg.cc]

I also tried installing it from the x86 package, same result.

Please update the package.



Edited 1 time(s). Last edit at 12/09/2018 03:58PM by carsten888.

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 09, 2018 03:57PM

and issue with vcredist_2010_x64.exe

screenshot:
[i.postimg.cc]

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: Otomatic (Moderator)
Date: December 09, 2018 04:20PM

Hi,

There is a problem with your system.
What is your Windows version ? Is this version up to date ?
In addition, the file sizes displayed in your screenshots do not absolutely match the file sizes of the files on deposit on the site.
The files on [wampserver.aviatechno.net] are up to date and with the latest versions, which is not the case for those you want to install.

To check VC++ installed, use the tool :
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.3.16
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.3.16
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 11, 2018 08:15PM

I'm on a freshly installed legal windows 64, with all updates run, which had wamp running before the reinstall of windows.


"the file sizes displayed in your screenshots do not absolutely match the file sizes of the files on deposit on the site."
How could that be? I downloaded them from your site and unzipped them.

I just re-downloaded them, unzipped. Are these not the correct sizes?
[i.postimg.cc]
The md5 matches the one on your site.
[i.postimg.cc]

(bottom link to x86+64 together)



Edited 1 time(s). Last edit at 12/11/2018 08:26PM by carsten888.

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: Otomatic (Moderator)
Date: December 11, 2018 08:53PM

Hi,

You have to be very careful with the displays of file sizes in KB.
According to the software used, a KB does not always have the same value.
According to the rules defined by the International Conferences on Weights and Measures, a KB is 1000 bytes.
But some define KB as 1024 bytes when this should be noted KiB.
Therefore, it is imperative to avoid errors to display file sizes in bytes, as can be seen in the file properties.

For example file :
vcredist_2017_x86.exe is 14 649 704 bytes but on your display, the sizes is noted : 14 307 KB when it should be noted: 14 649 KB or 14 306 KiB because in addition the software used is rounded up to the next unit when the exact value is 14306.3515625 KiB

Correct values are :
vcredist_2005_sp1_x64.exe	3 177 880
vcredist_2005_sp1_x86.exe	2 709 912
vcredist_2008_sp1_atl_x64.exe	5 225 304
vcredist_2008_sp1_atl_x86.exe	4 485 976
vcredist_2008_sp1_mfc_x64.exe	5 207 896
vcredist_2008_sp1_mfc_x86.exe	4 479 832
vcredist_2008_sp1_x64.exe	4 961 800
vcredist_2008_sp1_x86.exe	4 216 840
vcredist_2008_x64.exe	2 373 640
vcredist_2008_x86.exe	1 762 312
vcredist_2010_sp1_x64.exe	5 673 816
vcredist_2010_sp1_x86.exe	4 995 416
vcredist_2010_x64.exe	5 718 872
vcredist_2010_x86.exe	5 073 240
vcredist_2012_upd4_x64.exe	7 186 992
vcredist_2012_upd4_x86.exe	6 554 576
vcredist_2012_x64.exe	7 188 184
vcredist_2012_x86.exe	6 555 760
vcredist_2013_upd5_x64.exe	7 201 568
vcredist_2013_upd5_x86.exe	6 510 952
vcredist_2013_x64.exe	7 194 312
vcredist_2013_x86.exe	6 503 984
vcredist_2015_upd3_x64.exe	15 301 888
vcredist_2015_upd3_x86.exe	14 456 872
vcredist_2015_x64.exe	14 572 000
vcredist_2015_x86.exe	13 767 776
vcredist_2017_x64.exe	15 329 280
vcredist_2017_x86.exe	14 649 704

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.3.16
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.3.16
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 12, 2018 11:47AM

I still get the same errors installing (see first post).

I noticed 2017 packages are already installed on this machine. Do I need to uninstall those first to preceed in the correct order (old > new) for the install to work?

Options: ReplyQuote
Re: error installing vcredust_2008_x86.exe from wampserver.aviatechno.net
Posted by: RiggsFolly (Moderator)
Date: December 12, 2018 11:52AM

No, you dont need to uninstall.

If you see one that is already installed, still run the install and you will be given a repair option if they are truely the same version, take that option.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.8 32bit & 64bit)
<Apache versions MULTIPE> <PHP versions MULTIPLE> <MySQL Versions MULTIPLE>
<MariaDB versions MULTIPLE> <phpMyAdmin versions MULTIPLE> <MySQL Workbench 8.0.16>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 12, 2018 01:54PM

It keeps telling me there is a newer version installed. And there is, its the 2017 version. So how else do I install vcredist_2010_x64.exe and the other older version?

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 15, 2018 09:24AM

I went ahead and uninstalled the 2017 packages. rebooted and tried to install the packages in the right order. That did not work, same errors.

I downloaded vcredust_2008_x86.exe from the microsoft site and it installed without any errors.

I downloaded the other packages which did not want to install, from the ms site but they all give the error that a newer package is installed and won't install because of that.
The packages that just wont install are:
vcredist_2010_x64.exe
vcredist_2010_x86.exe
vcredist_2015_x64.exe
vcredist_2015_x86.exe

screenshot error:
[i.postimg.cc]

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: Otomatic (Moderator)
Date: December 15, 2018 10:22AM

Hi,

See item 20-a of TROUBLESHOOTING TIPS

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.3.16
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.3.16
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 15, 2018 06:37PM

20 a "runtimel1-1-0. dll is missing." That does not sound like my error.
and WAMP is not installed yet, so its not that problem either.

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: Otomatic (Moderator)
Date: December 15, 2018 07:38PM

Hi,

Before saying that "that's not the problem" try at least to apply this Microsoft KB.

Anyway, after that, I have no other solution, not even a simple idea.

You don't need VC2015 (VC14). It is superseded by VC2017 (vc15)

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.3.16
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.8/7.2.21/7.1.31/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.3.16
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 12/15/2018 09:10PM by Otomatic.

Options: ReplyQuote
Re: error installing vcredist_2008_x86.exe from wampserver.aviatechno.net
Posted by: carsten888 (---.static.trined.nl)
Date: December 16, 2018 09:12AM

[support.microsoft.com]
from what I read it is already in windows 10, this page is about how to install it in older systems. I'm all updated (method 1), so I guess this is already installed....

Options: ReplyQuote


Sorry, only registered users may post in this forum.